<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-forms](./foundation-forms.md) &gt; [Form](./foundation-forms.form.md) &gt; [jsonSchema](./foundation-forms.form.jsonschema.md)

## Form.jsonSchema property

Alternatively to providing [Form.resourceName](./foundation-forms.form.resourcename.md) you can hardcode the JSON schema on the client.

**Signature:**

```typescript
jsonSchema: JSONSchema7;
```

## Remarks

Use this when you want to avoid fetching metadata from the server but be aware that it could get out of sync if metadata changes on the server

